Subject: Re: [GIT PULL] ARM: mvebu: dt64 for v5.4 (#2)

From: Marek Behun <[email-masked]>
Date: Wed, 4 Sep 2019 00:50:06 +0200

On Tue, 3 Sep 2019 23:05:47 +0200
Arnd Bergmann <[email-masked]> wrote:

> On Tue, Sep 3, 2019 at 2:41 PM Gregory CLEMENT
> <[email-masked]> wrote:
> > Here is the second pull request for dt64 for mvebu for v5.4.
> >
> > For the Turris Mox board there was dependencies with moxtet header which
> > was already merged in your arm/drivers branch. That the reason why I
> > merged this branch in my mvebu/dt64 branch.
> >
> > Let me know if it is a problem and if you want that I do it in a
> > different way.  
> 
> I don't really like this, but it's too late to do it right now. The problem is
> that I should have not picked up the patches from the list in the first
> place if there are these dependencies.
> 
> This could have been communicated better in the patch series, but
> it really my own fault.
> 
> > ----------------------------------------------------------------
> > mvebu dt64 for 5.4 (part 2)
> >
> > Add support for Turris Mox board (Armada 3720 SoC based)
> >
> > ----------------------------------------------------------------
> > Marek Behún (3):
> >       arm64: dts: marvell: armada-37xx: add SPI CS1 pinctrl
> >       dt-bindings: marvell: document Turris Mox compatible
> >       arm64: dts: marvell: add DTS for Turris Mox  
> 
> I think the best way forward would be for me to apply the
> remaining patches on top of the arm/drivers branch, to avoid
> also pulling in your other DT changes into arm/drivers, or pulling
> in all of arm/drivers into arm/dt.
> 
> Would that work for you?
> 
>        Arnd

Hi Arnd,

I also sent you a series for fixing some gcc warnings for the moxtet
driver, with subject
  [PATCH armsoc/drivers 0/2] Turris Mox moxtet warnings fixes
and a new driver for Turris Mox secure firmware:
  [PATCH arm/drivers 0/3] Turris Mox rWTM firmware support

I probably should have been sending these with mvebu tag to be applied
by Gregory from the beginning. I am sorry.

Will you apply these or should I send them again, this time to Gregory?

Thank you.

Marek

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel